%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Summary:	python-%{modname} - Python package for low-level client for Elasticsearch.

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
%define	modname elasticsearch5
Name:		python-%{modname}
Version:	5.5.1
Release:	1%{?dist}

License:	BSD

Group:		Applications
Source:		%{modname}-%{version}.tar.gz
URL:		URL

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 

%description
Official low-level client for Elasticsearch. Its goal is to provide common ground for all
Elasticsearch-related code in Python; because of this it tries to be opinion-free and very
extendable.

For a more high level client library with more limited scope, have a look at elasticsearch-dsl -
a more pythonic library sitting on top of elasticsearch-py.

It provides a more convenient and idiomatic way to write and manipulate queries. It stays close
to the Elasticsearch JSON DSL, mirroring its terminology and structure while exposing the whole
range of the DSL from Python either directly using defined classes or a queryset-like expressions.
It also provides an optional persistence layer for working with documents as Python objects in
an ORM-like fashion: defining mappings, retrieving and saving documents, wrapping the document
data in user-defined classes.

The library is compatible with Elasticsearch 5.x. For Elasticsearch 2.x please use elasticsearch2
and for future releases use elasticsearcch.

%prep
%setup -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc AUTHORS  Changelog.rst  CONTRIBUTING.md  LICENSE  README  README.rst
%{python_sitelib}/*

%changelog
* Fri Jan 12 2018 Lawrence R. Rogers <lrr@cert.org> 5.5.1-1
* Release 5.5.1-1
	Version 5.5.1
